Updates a prospect (e.g., classification).
Path Parameters
- Type: stringproject
Id requiredProject ID
- Type: stringidrequired
Prospect ID
Headers
- Type: stringIf
- Match ETag value for optimistic concurrency control
Body·
required
Fields to update
Request model for updating a prospect.
- Type: null | stringclassification
Prospect classification: not_contacted, contacted, interested, not_interested, bidder.
- Type: array object[] ·external
Refs External references for CRM integration. Replaces all existing external refs. Set to empty array to remove all external refs.
Represents an external system reference (e.g., Salesforce, HubSpot, Pipedrive). Supports multiple CRM systems simultaneously.
Responses
- application/json
- application/problem+json
- application/problem+json
- application/problem+json
- application/problem+json
- application/problem+json
Request Example for patch/api/v1/projects/{projectId}/prospects/{id}
curl 'https://app.propstreet.com/api/v1/projects/{projectId}/prospects/{id}' \
--request PATCH \
--header 'If-Match: ' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
--data '{
"classification": null,
"externalRefs": [
{
"namespace": "",
"id": ""
}
]
}'
{
"id": "string",
"uri": null,
"externalRefs": [
{
"namespace": "string",
"id": "string"
}
],
"projectId": "string",
"contactId": null,
"companyId": null,
"displayName": null,
"organizationName": null,
"classification": null,
"capabilities": [
"string"
],
"tags": [
"string"
],
"teaser": {
"acceptedUtc": null,
"deadlineUtc": null
},
"createdUtc": "2026-05-05T17:18:39.880Z",
"updatedUtc": "2026-05-05T17:18:39.880Z",
"deletedUtc": null,
"etag": "string",
"changeType": null,
"changeOrigin": null
}